var req;

function search(url){
    //try with Mozilla, opera, etc.
    if (window.XMLHttpRequest){
        req = new XMLHttpRequest();
    }
    //else IE
    else if (window.ActiveXObject){
        req = new ActiveXObject("Microsoft.XMLHTTP");
    }
    req.onreadystatechange = callback;
    req.open("GET",url,true);
    req.send(null);
}

function callback(){
    var div = document.getElementById('search_results');
    if (req.readyState==4){
        if (req.status == 200){
            //it works:
            div.innerHTML = req.responseText;
        }
        else{
            //problem:
            div.innerHTML = "research failed";
        }
    }
}

function openAccount(url, owner, balance){
    //try with Mozilla, opera, etc.

    if (window.XMLHttpRequest){
        req = new XMLHttpRequest();
    }
    //else IE
    else if (window.ActiveXObject){
        req = new ActiveXObject("Microsoft.XMLHTTP");
    }
    req.onreadystatechange = callback_open;
    req.open("POST",url,true);
    req.setRequestHeader('Content-type','application/x-www-form-urlencoded');
    req.send('action=openAccount&owner=' + owner +'&balance=' +balance);
}

function callback_open(){
    var div = document.getElementById('valid');
    if (req.readyState==4){
        if (req.status == 200){
            //it works:
            var valid = req.responseXML.getElementsByTagName("valid")[0].childNodes[0].nodeValue;
           if(valid == "true")
                div.innerHTML = "<div style=\"color : green\"> Account Open </div>";
            else
                div.innerHTML = "<div style=\"color : red\"> Account Open Failed </div>";
        }
        else{
            //problem:
            div.innerHTML = "action failed";
        }
    }
}

function closeAccount(url, accountNumber){
    //try with Mozilla, opera, etc.

    if (window.XMLHttpRequest){
        req = new XMLHttpRequest();
    }
    //else IE
    else if (window.ActiveXObject){
        req = new ActiveXObject("Microsoft.XMLHTTP");
    }
    req.onreadystatechange = callback_close;
    req.open("POST",url,true);
    req.setRequestHeader('Content-type','application/x-www-form-urlencoded');
    req.send('action=closeAccount&accountNumber=' + accountNumber);
}

function callback_close(){
    var div = document.getElementById('valid');
    if (req.readyState==4){
        if (req.status == 200){
            //it works:
            var valid = req.responseXML.getElementsByTagName("valid")[0].childNodes[0].nodeValue;
           if(valid == "true")
                div.innerHTML = "<div style=\"color : green\"> Account Close </div>";
            else
                div.innerHTML = "<div style=\"color : red\"> Account Close Failed </div>";
        }
        else{
            //problem:
            div.innerHTML = "action failed";
        }
    }
}

function accountTransfer(url, amount, accountD, accountC){
    //try with Mozilla, opera, etc.

    if (window.XMLHttpRequest){
        req = new XMLHttpRequest();
    }
    //else IE
    else if (window.ActiveXObject){
        req = new ActiveXObject("Microsoft.XMLHTTP");
    }
    req.onreadystatechange = callback_transfer;
    req.open("POST",url,true);
    req.setRequestHeader('Content-type','application/x-www-form-urlencoded');
    req.send('action=accountTransfer&amount=' + amount +'&accountD=' +accountD+'&accountC=' +accountC);
}

function callback_transfer(){
    var div = document.getElementById('valid');
    if (req.readyState==4){
        if (req.status == 200){
            //it works:
            var valid = req.responseXML.getElementsByTagName("valid")[0].childNodes[0].nodeValue;
           if(valid == "true")
                div.innerHTML = "<div style=\"color : green\"> Transfer Successful </div>";
            else
                div.innerHTML = "<div style=\"color : red\"> Transfert Failed </div>";
        }
        else{
            //problem:
            div.innerHTML = "action failed";
        }
    }
}

function init(){
    //try with Mozilla, opera, etc.
    if (window.XMLHttpRequest){
        req = new XMLHttpRequest();
    }
    //else IE
    else if (window.ActiveXObject){
        req = new ActiveXObject("Microsoft.XMLHTTP");
    }
    req.onreadystatechange = callback2;
    req.open("POST","/Checconi-war/AccountServlet",true);
    req.setRequestHeader('Content-type','application/x-www-form-urlencoded');
    req.send(null);
}

function callback2(){
    var div = document.getElementById('content');
    if (req.readyState==4){
        if (req.status == 200){
            //it works:
            div.innerHTML = req.responseText;
        }
        else{
            //problem:
            div.innerHTML = "research failed";
        }
    }
}

function numbersOnly(obj){
    reg = /[^0-9.]/g;
    obj.value =  obj.value.replace(reg,"");
}

function caractersOnly(obj){
    reg = /[^a-zA-Z]/g;
    obj.value =  obj.value.replace(reg,"");
}

function display(action, text){

      var open = document.getElementById("open");
      var close = document.getElementById("close");
      var transfer = document.getElementById("transfer");
      var showAccounts = document.getElementById("showAccounts");
      if(action == ''){
           open.style.display = "none";
           close.style.display="none";
           transfer.style.display="none";
           showAccounts.style.display="none";
      }
      if(action=="open")
       {
           open.style.display = "";
           close.style.display="none";
           transfer.style.display="none";
           showAccounts.style.display="none";

       }

       if(action=="close")
       {
           open.style.display = "none";
           close.style.display="";
           transfer.style.display="none";
           showAccounts.style.display="none";

       }

       if(action=="transfer")
       {
           open.style.display = "none";
           close.style.display="none";
           transfer.style.display="";
           showAccounts.style.display="none";

       }

       if(action=="showAccounts")
       {
           open.style.display = "none";
           close.style.display="none";
           transfer.style.display="none";
           showAccounts.style.display="";

       }
       
 }
